%define	oname DevIL

%define major 1
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define	staticname %mklibname %{name} -s -d

Summary:	Open source image library
Name:		devil
Version:	1.7.1
%define subrel	1
Release:	%mkrel 2
License:	LGPLv2.1
Group:		System/Libraries
URL:		http://openil.sourceforge.net/
Source0:	http://downloads.sourceforge.net/openil/%{oname}-%{version}.tar.gz
Patch1:		DevIL-1.7.1-underlinking.patch
Patch2:		devil-1.7.1-void.patch
BuildRequires:	zlib-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	SDL-devel
BuildRequires:	png-devel
BuildRequires:	lcms-devel
BuildRequires:	mng-devel
BuildRequires:	MesaGLU-devel
BuildRequires:  allegro-devel
BuildRequires:	ungif-devel
BuildRequires:	libtool
BuildRequires:	jasper-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n %{libname}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Provides:	lib%{name}
Provides:	%{name}

%description -n	%{libname}
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n %{develname}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	allegro-devel
%define	_requires_exceptions	devel(liballeg.*
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{develname}
Development headers and libraries for writing programs using %{oname}.

%package -n     %{staticname}
Summary:	Static library for %{oname}
Group:          Development/C
Requires:       %{libname}-devel = %{version}-%{release}
Provides:       lib%{name}-static-devel = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:      %{libname}-static-devel = %{version}-%{release}

%description -n %{staticname}
Static library for %{oname}.

%prep
%setup -q -c
%patch1 -p0 -b .lgif
%patch2 -p1 -b .void

chmod 644 AUTHORS CREDITS ChangeLog Libraries.txt README.unix

%build
export CFLAGS="%{optflags} -O3 -funroll-loops -ffast-math -fomit-frame-pointer -fexpensive-optimizations"

./autogen.sh

%configure2_5x	--with-pic \
		--with-gnu-ld \
		--enable-shared \
		--enable-static \
		%ifnarch ix86
		--enable-x86_64 \
		--enable-sse \
		--enable-sse2 \
		--disable-sse3 \
		%else
		--enable-x86 \
		--disable-sse \
		--disable-sse2 \
		--disable-sse3 \
		%endif
		--with-x
%make 

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS CREDITS ChangeLog Libraries.txt README.unix
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/IL

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.com> 1.7.1-2.1mdv2009.0
+ Revision: 314113
- add void.patch: fix inappropriate use of typedef void as a function argument
  (breaks compilation of anything that builds against devil)

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 1.7.1-2mdv2009.0
+ Revision: 278748
- obsolete old devel package

* Wed Aug 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-1mdv2009.0
+ Revision: 276604
- update to new version 1.7.1
- Patch1: rediff
- drop patches 0,2,3,4 fixed upstream
- disable sse optimizations on ix86
- spec file clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.7-15mdv2008.1
+ Revision: 170796
- rebuild

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 1.6.7-14mdv2008.1
+ Revision: 144830
- fix headers with recent gcc (header-void.patch from debian)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix autoconf-2.5x path

* Sat May 26 2007 Funda Wang <fundawang@mandriva.org> 1.6.7-13mdv2008.0
+ Revision: 31422
- Rebuild for directfb 1.0


* Fri Jan 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-12mdv2007.0
+ Revision: 110733
- fix bogus dependency on devel(liballeg* for lib64 too

* Fri Jan 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-11mdv2007.1
+ Revision: 110640
- add buildrequires on libtool
- use our own libtool, this will avoid rpath & linking issues

* Fri Jan 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-9mdv2007.1
+ Revision: 110587
- fix binary-or-shlib-defines-rpath
- add debian fixes for png on x86_64, endianness fixes, header fixes etc. (P0)
  fix linking against libungif (P1)
  fix linking against allegro (P2, from fedora)
  more header fiexes (P3, from fedora)
- fix building of shared libIL library on 64 bit

* Mon Dec 04 2006 Olivier Blin <oblin@mandriva.com> 1.6.7-8mdv2007.1
+ Revision: 90559
- remove hardcoded mkrel definition
- Import devil

* Fri Apr 07 2006 Lenny Cartier <lenny@mandriva.com> 1.6.7-7mdk
- use -enable-static

* Wed Mar 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-6mdk
- add package for static libraries

* Fri Sep 23 2005 Guillaume Bedot <littletux@mandriva.org> 1.6.7-5mdk
- rebuild with allegro-4.2.0

* Fri Aug 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-4mdk
- rebuild against new allegro

* Sat Apr 16 2005 Guillaume Bedot <littletux@mandriva.org> 1.6.7-3mdk
- make it easy to build with allegro or allegro-testing.
- rebuilt with allegro-testing.
- use mkrel.

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.7-2mdk
- fix buildrequires

* Mon Jan 03 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.7-1mdk
- 1.6.7
- drop P0 & P1
- compile with -O3

